Skip to content
vocapable.Docs

Build the real signed payload for an event type. Nothing is sent.

POST
/v1/workspace/integrations/webhooks/destinations/{destination_id}/preview
curl --request POST \
--url https://api.vocapable.com/v1/workspace/integrations/webhooks/destinations/example/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "event_type": "example" }'
destination_id
required
Destination Id
string
Media typeapplication/json
WorkspaceWebhookPreviewRequest
object
event_type
required
Event Type
string
Examplegenerated
{
"event_type": "example"
}

Successful Response

Media typeapplication/json
WorkspaceWebhookPreview

A real signed payload built from the published contract. It is NOT sent.

object
event_type
required
Event Type
string
url
required
Url
string
headers
required
Headers
object
key
additional properties
string
body
required
Body
string
sent
Sent
boolean
Example
{
"sent": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}